import codebuild = require('@aws-cdk/aws-codebuild');
import events = require('@aws-cdk/aws-events');
/**
 * Start a CodeBuild build when an AWS CloudWatch events rule is triggered.
 */
export declare class CodeBuildProject implements events.IEventRuleTarget {
    private readonly project;
    constructor(project: codebuild.IProject);
    /**
     * Allows using build projects as event rule targets.
     */
    asEventRuleTarget(_ruleArn: string, _ruleId: string): events.EventRuleTargetProps;
    /**
     * Gets or creates an IAM role associated with this CodeBuild project to allow
     * CloudWatch Events to start builds for this project.
     */
    private getCreateRole;
}
