import events = require('@aws-cdk/aws-events');
import lambda = require('@aws-cdk/aws-lambda');
/**
 * Use an AWS Lambda function as an event rule target.
 */
export declare class LambdaFunction implements events.IEventRuleTarget {
    private readonly handler;
    /**
     * @param handler The lambda function
     */
    constructor(handler: lambda.IFunction);
    /**
     * Returns a RuleTarget that can be used to trigger this Lambda as a
     * result from a CloudWatch event.
     */
    asEventRuleTarget(ruleArn: string, ruleId: string): events.EventRuleTargetProps;
}
